%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Net_UserAgent_Detect

Name:           php-pear-Net-UserAgent-Detect
Version:        2.5.2
Release:        1%{?dist}
Summary:        Extract information from an HTTP user agent

Group:          Development/Languages
License:        PHP
URL:            http://pear.php.net/package/Net_UserAgent_Detect
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
The Net_UserAgent object does a number of tests on an HTTP user
agent string. The results of these tests are available via methods of
the object.


%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Fix path in example
sed -i -e '/require_once/s!../Detect.php!Net/UserAgent/Detect.php!' \
    $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}/tests/example.php


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Net


%changelog
* Fri Aug 20 2010 Remi Collet <Fedora@FamilleCollet.com> - 2.5.2-1
- update to 2.5.2
- clean define
- rename Net_UserAgent_Detect.xml to php-pear-Net-UserAgent-Detect.xml
- set date.timezone during build
- remove LICENSE file not provided by upstream
- fix example

* Tue Sep 08 2009 Christopher Stone <chris.stone@gmail.com> 2.5.1-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Christopher Stone <chris.stone@gmail.com> 2.5.0-1
- Upstream sync

* Sun Sep 30 2007 Christopher Stone <chris.stone@gmail.com> 2.4.0-1
- Upstream sync

* Tue May 01 2007 Christopher Stone <chris.stone@gmail.com> 2.3.0-1
- Upstream sync
- Update license to 3.01

* Sat Jan 13 2007 Christopher Stone <chris.stone@gmail.com> 2.2.0-2
- Use PHP License version 2.02

* Fri Jan 05 2007 Christopher Stone <chris.stone@gmail.com> 2.2.0-1
- Initial Release
